Fix my Python Installation this weekend (by Saturday in USA perferred) – Upwork

When I try to install a python library (like requests) I get the following error:
"Defaulting to user installation because normal site-packages is not writeable
Requirement already satisfied: requests in /Users/matthewsallin/Library/Python/3.9/lib/python/site-packages (2.26.0)
Requirement already satisfied: idna4,=2.5 in /Users/matthewsallin/Library/Python/3.9/lib/python/site-packages (from requests) (3.3)
Requirement already satisfied: urllib31.27,=1.21.1 in /Users/matthewsallin/Library/Python/3.9/lib/python/site-packages (from requests) (1.26.7)
Requirement already satisfied: certifi=2017.4.17 in /Users/matthewsallin/Library/Python/3.9/lib/python/site-packages (from requests) (2021.10.8)
Requirement already satisfied: charset-normalizer~=2.0.0 in /Users/matthewsallin/Library/Python/3.9/lib/python/site-packages (from requests) (2.0.7)"

Can you help fix my installation so that installations are made to the correct directory and I don’t get errors like site-packages is not writable?

Posted On: November 12, 2021 23:37 UTC
Category: Back-End Development
Skills:Python

Country: United States

click to apply
Read More
All jobs | upwork.com

Scroll to Top